using Prove.Proveapi;
using Prove.Proveapi.Models.Components;
var sdk = new ProveAPI(auth: "<YOUR_AUTH_HERE>");
var res = await sdk.Identity.V3GetIdentitiesByPhoneNumberAsync(mobileNumber: "<value>");
// handle response{
"items": [
{
"createdAt": 1747671792,
"carrier": "Verizon",
"phoneNumber": "2001001695",
"countryCode": "US",
"identityId": "e0f78bc2-f748-4eda-9d29-d756844507fc",
"lineType": "mobile",
"active": true,
"deviceId": "bf9ea15d-7dfa-4bb4-a64c-6c26b53472fc",
"creationString": "2025-05-19T16:23:12.475Z",
"clientCustomerId": "e0f78bc2-f748-4eda-9d29-d756844507fc"
},
{
"createdAt": 1747671792,
"carrier": "Verizon",
"phoneNumber": "2001001695",
"countryCode": "US",
"identityId": "e0f78bc2-f748-4eda-9d29-d756844507fc",
"lineType": "mobile",
"active": true,
"deviceId": "bf9ea15d-7dfa-4bb4-a64c-6c26b53472fc",
"creationString": "2025-05-19T16:23:12.475Z",
"clientCustomerId": "e0f78bc2-f748-4eda-9d29-d756844507fc"
}
]
}Return list of all identities you have enrolled that are associated with this phone number.
using Prove.Proveapi;
using Prove.Proveapi.Models.Components;
var sdk = new ProveAPI(auth: "<YOUR_AUTH_HERE>");
var res = await sdk.Identity.V3GetIdentitiesByPhoneNumberAsync(mobileNumber: "<value>");
// handle response{
"items": [
{
"createdAt": 1747671792,
"carrier": "Verizon",
"phoneNumber": "2001001695",
"countryCode": "US",
"identityId": "e0f78bc2-f748-4eda-9d29-d756844507fc",
"lineType": "mobile",
"active": true,
"deviceId": "bf9ea15d-7dfa-4bb4-a64c-6c26b53472fc",
"creationString": "2025-05-19T16:23:12.475Z",
"clientCustomerId": "e0f78bc2-f748-4eda-9d29-d756844507fc"
},
{
"createdAt": 1747671792,
"carrier": "Verizon",
"phoneNumber": "2001001695",
"countryCode": "US",
"identityId": "e0f78bc2-f748-4eda-9d29-d756844507fc",
"lineType": "mobile",
"active": true,
"deviceId": "bf9ea15d-7dfa-4bb4-a64c-6c26b53472fc",
"creationString": "2025-05-19T16:23:12.475Z",
"clientCustomerId": "e0f78bc2-f748-4eda-9d29-d756844507fc"
}
]
}The access token received from the /token endpoint. Refer to the Authentication page for more details.
The phone number to find identities for. US phone numbers can be passed in with or without a leading +1. Acceptable characters are: alphanumeric with symbols '+'.
A client-generated unique ID for a specific session. This can be used to identify specific requests. The format of this ID is defined by the client - Prove recommends using a GUID, but any format can be accepted. Do not include Personally Identifiable Information (PII) in this field.
V3GetIdentitiesByPhoneNumberResponse
Response body for the V3 Get Identities By Phone Number API.
Show child attributes
Was this page helpful?